Subject: PMac Reverse engineering

From: "Jens Ch. Restemeier" <[email-masked]>
Date: Sun, 14 Nov 1999 17:12:25 +0000

Hi !

There are still some issues with my 5500 to write Linux drivers for,
like the (software) modem, and the I2C bus in via-cuda to access the TV
card stuff. I've been a little absent from Linux-PPC but want to fix
these sometime.

Question: Is there any usefull freeware for MacOS to reverse engineer,
what system calls an application does, and to disassemble system drivers
? Or is there somebody at apple who can be bugged to give out info ?

I have to admit that I have not the deepest knowledge of MacOS, but it
should be enough to grab some info...

Jens

P.S.: Reason ? Netscape crashes more and more, and takes the whole
system with it, and the TV application behaves quite strangely
sometimes.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/